Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network224.78.0.0/17
Usable hosts32,766
Subnet mask255.255.128.0
Addresses32,768
Network address
224.78.0.0
Broadcast address
224.78.127.255
First usable
224.78.0.1
Last usable
224.78.127.254
Usable hosts
32,766 (32,768 less the network and broadcast addresses)
Subnet mask
255.255.128.0
Wildcard mask
0.0.127.255 (Cisco ACLs, OSPF)
Prefix length
/17
Type
Multicast 224.0.0.0/4
One-to-many traffic, such as IPTV and routing protocols
Old class
D (multicast)
As numbers
Hex E04E0000 · Integer 3763208192 to 3763240959
Reverse DNS zones
0.78.224.in-addr.arpa
1.78.224.in-addr.arpa
2.78.224.in-addr.arpa
3.78.224.in-addr.arpa
4.78.224.in-addr.arpa
5.78.224.in-addr.arpa
6.78.224.in-addr.arpa
7.78.224.in-addr.arpa
8.78.224.in-addr.arpa
9.78.224.in-addr.arpa
10.78.224.in-addr.arpa
11.78.224.in-addr.arpa
12.78.224.in-addr.arpa
13.78.224.in-addr.arpa
14.78.224.in-addr.arpa
15.78.224.in-addr.arpa
and 112 more
/17 is not on a 8-bit boundary, so it takes 128 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11100000.01001110.00000000.00000000224.78.0.0
Subnet mask11111111.11111111.10000000.00000000255.255.128.0
Network11100000.01001110.00000000.00000000224.78.0.0
Broadcast11100000.01001110.01111111.11111111224.78.127.255
Split into smaller subnets/24

224.78.0.0/17 makes 128 subnets of /24.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1224.78.0.0/24224.78.0.1 to 224.78.0.254224.78.0.255254
2224.78.1.0/24224.78.1.1 to 224.78.1.254224.78.1.255254
3224.78.2.0/24224.78.2.1 to 224.78.2.254224.78.2.255254
4224.78.3.0/24224.78.3.1 to 224.78.3.254224.78.3.255254
5224.78.4.0/24224.78.4.1 to 224.78.4.254224.78.4.255254
6224.78.5.0/24224.78.5.1 to 224.78.5.254224.78.5.255254
7224.78.6.0/24224.78.6.1 to 224.78.6.254224.78.6.255254
8224.78.7.0/24224.78.7.1 to 224.78.7.254224.78.7.255254
9224.78.8.0/24224.78.8.1 to 224.78.8.254224.78.8.255254
10224.78.9.0/24224.78.9.1 to 224.78.9.254224.78.9.255254
11224.78.10.0/24224.78.10.1 to 224.78.10.254224.78.10.255254
12224.78.11.0/24224.78.11.1 to 224.78.11.254224.78.11.255254
13224.78.12.0/24224.78.12.1 to 224.78.12.254224.78.12.255254
14224.78.13.0/24224.78.13.1 to 224.78.13.254224.78.13.255254
15224.78.14.0/24224.78.14.1 to 224.78.14.254224.78.14.255254
16224.78.15.0/24224.78.15.1 to 224.78.15.254224.78.15.255254
17224.78.16.0/24224.78.16.1 to 224.78.16.254224.78.16.255254
18224.78.17.0/24224.78.17.1 to 224.78.17.254224.78.17.255254
19224.78.18.0/24224.78.18.1 to 224.78.18.254224.78.18.255254
20224.78.19.0/24224.78.19.1 to 224.78.19.254224.78.19.255254
21224.78.20.0/24224.78.20.1 to 224.78.20.254224.78.20.255254
22224.78.21.0/24224.78.21.1 to 224.78.21.254224.78.21.255254
23224.78.22.0/24224.78.22.1 to 224.78.22.254224.78.22.255254
24224.78.23.0/24224.78.23.1 to 224.78.23.254224.78.23.255254
25224.78.24.0/24224.78.24.1 to 224.78.24.254224.78.24.255254
26224.78.25.0/24224.78.25.1 to 224.78.25.254224.78.25.255254
27224.78.26.0/24224.78.26.1 to 224.78.26.254224.78.26.255254
28224.78.27.0/24224.78.27.1 to 224.78.27.254224.78.27.255254
29224.78.28.0/24224.78.28.1 to 224.78.28.254224.78.28.255254
30224.78.29.0/24224.78.29.1 to 224.78.29.254224.78.29.255254
31224.78.30.0/24224.78.30.1 to 224.78.30.254224.78.30.255254
32224.78.31.0/24224.78.31.1 to 224.78.31.254224.78.31.255254
33224.78.32.0/24224.78.32.1 to 224.78.32.254224.78.32.255254
34224.78.33.0/24224.78.33.1 to 224.78.33.254224.78.33.255254
35224.78.34.0/24224.78.34.1 to 224.78.34.254224.78.34.255254
36224.78.35.0/24224.78.35.1 to 224.78.35.254224.78.35.255254
37224.78.36.0/24224.78.36.1 to 224.78.36.254224.78.36.255254
38224.78.37.0/24224.78.37.1 to 224.78.37.254224.78.37.255254
39224.78.38.0/24224.78.38.1 to 224.78.38.254224.78.38.255254
40224.78.39.0/24224.78.39.1 to 224.78.39.254224.78.39.255254
41224.78.40.0/24224.78.40.1 to 224.78.40.254224.78.40.255254
42224.78.41.0/24224.78.41.1 to 224.78.41.254224.78.41.255254
43224.78.42.0/24224.78.42.1 to 224.78.42.254224.78.42.255254
44224.78.43.0/24224.78.43.1 to 224.78.43.254224.78.43.255254
45224.78.44.0/24224.78.44.1 to 224.78.44.254224.78.44.255254
46224.78.45.0/24224.78.45.1 to 224.78.45.254224.78.45.255254
47224.78.46.0/24224.78.46.1 to 224.78.46.254224.78.46.255254
48224.78.47.0/24224.78.47.1 to 224.78.47.254224.78.47.255254
49224.78.48.0/24224.78.48.1 to 224.78.48.254224.78.48.255254
50224.78.49.0/24224.78.49.1 to 224.78.49.254224.78.49.255254
51224.78.50.0/24224.78.50.1 to 224.78.50.254224.78.50.255254
52224.78.51.0/24224.78.51.1 to 224.78.51.254224.78.51.255254
53224.78.52.0/24224.78.52.1 to 224.78.52.254224.78.52.255254
54224.78.53.0/24224.78.53.1 to 224.78.53.254224.78.53.255254
55224.78.54.0/24224.78.54.1 to 224.78.54.254224.78.54.255254
56224.78.55.0/24224.78.55.1 to 224.78.55.254224.78.55.255254
57224.78.56.0/24224.78.56.1 to 224.78.56.254224.78.56.255254
58224.78.57.0/24224.78.57.1 to 224.78.57.254224.78.57.255254
59224.78.58.0/24224.78.58.1 to 224.78.58.254224.78.58.255254
60224.78.59.0/24224.78.59.1 to 224.78.59.254224.78.59.255254
61224.78.60.0/24224.78.60.1 to 224.78.60.254224.78.60.255254
62224.78.61.0/24224.78.61.1 to 224.78.61.254224.78.61.255254
63224.78.62.0/24224.78.62.1 to 224.78.62.254224.78.62.255254
64224.78.63.0/24224.78.63.1 to 224.78.63.254224.78.63.255254
65224.78.64.0/24224.78.64.1 to 224.78.64.254224.78.64.255254
66224.78.65.0/24224.78.65.1 to 224.78.65.254224.78.65.255254
67224.78.66.0/24224.78.66.1 to 224.78.66.254224.78.66.255254
68224.78.67.0/24224.78.67.1 to 224.78.67.254224.78.67.255254
69224.78.68.0/24224.78.68.1 to 224.78.68.254224.78.68.255254
70224.78.69.0/24224.78.69.1 to 224.78.69.254224.78.69.255254
71224.78.70.0/24224.78.70.1 to 224.78.70.254224.78.70.255254
72224.78.71.0/24224.78.71.1 to 224.78.71.254224.78.71.255254
73224.78.72.0/24224.78.72.1 to 224.78.72.254224.78.72.255254
74224.78.73.0/24224.78.73.1 to 224.78.73.254224.78.73.255254
75224.78.74.0/24224.78.74.1 to 224.78.74.254224.78.74.255254
76224.78.75.0/24224.78.75.1 to 224.78.75.254224.78.75.255254
77224.78.76.0/24224.78.76.1 to 224.78.76.254224.78.76.255254
78224.78.77.0/24224.78.77.1 to 224.78.77.254224.78.77.255254
79224.78.78.0/24224.78.78.1 to 224.78.78.254224.78.78.255254
80224.78.79.0/24224.78.79.1 to 224.78.79.254224.78.79.255254
81224.78.80.0/24224.78.80.1 to 224.78.80.254224.78.80.255254
82224.78.81.0/24224.78.81.1 to 224.78.81.254224.78.81.255254
83224.78.82.0/24224.78.82.1 to 224.78.82.254224.78.82.255254
84224.78.83.0/24224.78.83.1 to 224.78.83.254224.78.83.255254
85224.78.84.0/24224.78.84.1 to 224.78.84.254224.78.84.255254
86224.78.85.0/24224.78.85.1 to 224.78.85.254224.78.85.255254
87224.78.86.0/24224.78.86.1 to 224.78.86.254224.78.86.255254
88224.78.87.0/24224.78.87.1 to 224.78.87.254224.78.87.255254
89224.78.88.0/24224.78.88.1 to 224.78.88.254224.78.88.255254
90224.78.89.0/24224.78.89.1 to 224.78.89.254224.78.89.255254
91224.78.90.0/24224.78.90.1 to 224.78.90.254224.78.90.255254
92224.78.91.0/24224.78.91.1 to 224.78.91.254224.78.91.255254
93224.78.92.0/24224.78.92.1 to 224.78.92.254224.78.92.255254
94224.78.93.0/24224.78.93.1 to 224.78.93.254224.78.93.255254
95224.78.94.0/24224.78.94.1 to 224.78.94.254224.78.94.255254
96224.78.95.0/24224.78.95.1 to 224.78.95.254224.78.95.255254
97224.78.96.0/24224.78.96.1 to 224.78.96.254224.78.96.255254
98224.78.97.0/24224.78.97.1 to 224.78.97.254224.78.97.255254
99224.78.98.0/24224.78.98.1 to 224.78.98.254224.78.98.255254
100224.78.99.0/24224.78.99.1 to 224.78.99.254224.78.99.255254
101224.78.100.0/24224.78.100.1 to 224.78.100.254224.78.100.255254
102224.78.101.0/24224.78.101.1 to 224.78.101.254224.78.101.255254
103224.78.102.0/24224.78.102.1 to 224.78.102.254224.78.102.255254
104224.78.103.0/24224.78.103.1 to 224.78.103.254224.78.103.255254
105224.78.104.0/24224.78.104.1 to 224.78.104.254224.78.104.255254
106224.78.105.0/24224.78.105.1 to 224.78.105.254224.78.105.255254
107224.78.106.0/24224.78.106.1 to 224.78.106.254224.78.106.255254
108224.78.107.0/24224.78.107.1 to 224.78.107.254224.78.107.255254
109224.78.108.0/24224.78.108.1 to 224.78.108.254224.78.108.255254
110224.78.109.0/24224.78.109.1 to 224.78.109.254224.78.109.255254
111224.78.110.0/24224.78.110.1 to 224.78.110.254224.78.110.255254
112224.78.111.0/24224.78.111.1 to 224.78.111.254224.78.111.255254
113224.78.112.0/24224.78.112.1 to 224.78.112.254224.78.112.255254
114224.78.113.0/24224.78.113.1 to 224.78.113.254224.78.113.255254
115224.78.114.0/24224.78.114.1 to 224.78.114.254224.78.114.255254
116224.78.115.0/24224.78.115.1 to 224.78.115.254224.78.115.255254
117224.78.116.0/24224.78.116.1 to 224.78.116.254224.78.116.255254
118224.78.117.0/24224.78.117.1 to 224.78.117.254224.78.117.255254
119224.78.118.0/24224.78.118.1 to 224.78.118.254224.78.118.255254
120224.78.119.0/24224.78.119.1 to 224.78.119.254224.78.119.255254
121224.78.120.0/24224.78.120.1 to 224.78.120.254224.78.120.255254
122224.78.121.0/24224.78.121.1 to 224.78.121.254224.78.121.255254
123224.78.122.0/24224.78.122.1 to 224.78.122.254224.78.122.255254
124224.78.123.0/24224.78.123.1 to 224.78.123.254224.78.123.255254
125224.78.124.0/24224.78.124.1 to 224.78.124.254224.78.124.255254
126224.78.125.0/24224.78.125.1 to 224.78.125.254224.78.125.255254
127224.78.126.0/24224.78.126.1 to 224.78.126.254224.78.126.255254
128224.78.127.0/24224.78.127.1 to 224.78.127.254224.78.127.255254

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses